Subject: Re: Anticancer herbs - info needed!

From: [email-masked] (ROLEX 1234)
Date: 10 Oct 1995 10:28:04 -0400

Essiac tea has been used for 75 years for the treatment of cancer. It
detoxifies the body and boosts the immune system. Then the body fights the
malignancy like a strong immune system will. This tea is also good for any
problem that might be related to a depressed immune system. Most health
food stores sell it under the name of Flora-Essense